我怎么觉得这个程序对环境不是很友好哦 老是报错

安装报错 · ffssfs · 于 10个月前 发布 · 631 次阅读

昨天用win系统安装也是打不开出现这个问题
今晚我用linux 环境 系统:CentOS Linux 7.7.1908 (Core) 免费版 7.0.3 直接用官网提供的 宝塔apache 教程一步一步安装 还是出现这些的问题 还有官网的教程有点模糊 按照官网的教程 安装 是绝对行不通的 必须要先删除php禁止函数 才可以 不然下载源码就会报错 下面 就是没有删除禁止函数报错 PHP Warning: putenv() has been disabled for security reasons in phar:///usr/bin/composer/vendor/composer/xdebug-handler/src/Process.php on line 149

Warning: putenv() has been disabled for security reasons in phar:///usr/bin/composer/vendor/composer/xdebug-handler/src/Process.php on line 149 PHP Warning: putenv() has been disabled for security reasons in phar:///usr/bin/composer/bin/composer on line 57

[ErrorException]
pcntl_signal() has been disabled for security reasons

我把函数打开了 源码下载下来了 按照教程 也执行了 下面命令 也成功给了权限 [root@localhost wwwroot]# cd fecmall [root@localhost fecmall]# chmod 755 ./init [root@localhost fecmall]# ./init Yii Application Initialization Tool v1.0

配置文件也修改了绑定地址 打开就出现下面的错误 Warning: require(/www/wwwroot/fecmall/appfront/web/../../vendor/autoload.php): failed to open stream: No such file or directory in /www/wwwroot/fecmall/appfront/web/install.php on line 8

Fatal error: require(): Failed opening required '/www/wwwroot/fecmall/appfront/web/../../vendor/autoload.php' (include_path='.:/www/server/php/72/lib/php') in /www/wwwroot/fecmall/appfront/web/install.php on line 8

共收到 5 条回复
Fecmall#110个月前 0 个赞

1.是你的环境对fecmall不友好,环境是为了支持上面跑的软件

2.composer下载文件不全,如果网络有问题,可以使用群文件或者百度网盘完整文件压缩包

3.安装文档是验证过的,多从自身找原因。

ffssfs#210个月前 0 个赞

我搜索群 没有这个群号哦

Fecmall#310个月前 0 个赞

Fecmall QQ群(新):782387676,入群验证:fecmall

husanru#49个月前 0 个赞

我也是这个问题,请问下是怎么解决的

Fecmall#59个月前 0 个赞

参看一下这个帖子:http://www.fecmall.com/topic/2267

添加回复 (需要登录)
需要 登录 后方可回复, 如果你还没有账号请点击这里 注册
Your Site Analytics